Package org.gradle.api.plugins.catalog

## Interface CatalogPluginExtension

-     public interface CatalogPluginExtension

  Allows configuring a version catalog.
  Since:
    7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configureExplicitAlias​(java.lang.String alias, java.lang.String group, java.lang.String name)` | Configures an explicit alias for a dependency in case of name clash
    `void` | `versionCatalog​(Action<? super VersionCatalogBuilder> spec)` | Configures the version catalog.

- - ### Method Detail

    - #### versionCatalog

          void versionCatalog​(Action<? super VersionCatalogBuilder> spec)

      Configures the version catalog.
      Parameters:
        `spec` - the spec used to configure the dependencies

    - #### configureExplicitAlias

          void configureExplicitAlias​(java.lang.String alias,
                                      java.lang.String group,
                                      java.lang.String name)

      Configures an explicit alias for a dependency in case of name clash